package jp.co.intra_mart.cookbook.cookbook159976;

import jp.co.intra_mart.foundation.web_api_maker.annotation.ProvideFactory;
import jp.co.intra_mart.foundation.web_api_maker.annotation.ProvideService;
import jp.co.intra_mart.foundation.web_api_maker.annotation.WebAPIMaker;

@WebAPIMaker
public class MyServiceFactory {
    @ProvideFactory
    public static MyServiceFactory getFactory() {
        return new MyServiceFactory();
    }

    @ProvideService
    public MyService getService() {
        return new MyService();
    }
}
