package jp.co.intra_mart.cookbook.cookbook159976;

import jp.co.intra_mart.foundation.context.Contexts;
import jp.co.intra_mart.foundation.context.model.AccountContext;
import jp.co.intra_mart.foundation.web_api_maker.annotation.GET;
import jp.co.intra_mart.foundation.web_api_maker.annotation.IMAuthentication;
import jp.co.intra_mart.foundation.web_api_maker.annotation.Path;

@IMAuthentication
public class MyService {
    @Path("/im_cookbook/159976/get")
    @GET
    public String get() {
    	final AccountContext context = Contexts.get(AccountContext.class);
    	
        return "Hello " + context.getUserCd();
    }
}
